# Enum encoding_type

- Defined in File text.hpp

## Enum Documentation

enum class zeem::encoding_type

  the (admittedly limited) set of supported text encodings in libzeem

  these are the supported encodings. Perhaps we should extend this list a bit?

  Values:

  enumerator ASCII

    7-bit ascii

  enumerator UTF8

    UTF-8.

  enumerator UTF16BE

    UTF-16 Big Endian.

  enumerator UTF16LE

    UTF 16 Little Endian.

  enumerator ISO88591

    Default single byte encoding, is a subset of utf-8.